## to assess the similarity between the pathway lists produced by different methods
## Qike Li 12/29/2015


set.seed("./Figure2")
source("https://bioconductor.org/biocLite.R")
biocLite("OrderedList")
library(OrderedList) # library to compute the top-weighted overlap score
citation('OrderedList')

# read in the ranked lists resulting from four analytic methods
CCS.pid.ordered = as.character(unlist(read.delim( file = './CCS_rankedPID.txt',header = F)))
WLS.pid.ordered = as.character(unlist(read.delim( file = './WLS_rankedPID.txt',header = F)))
GSEA.pid.ordered = as.character(unlist(read.delim( file = './GSEA_rankedPID.txt',header = F)))
deg.pid.ordered = as.character(unlist(read.delim( file = './deg_rankedPID.txt',header = F)))

length(GSEA.pid.ordered)

# compute the top-weighted overlap score between CCS and WLS
(cmp1 <- compareLists(CCS.pid.ordered,WLS.pid.ordered,two.sided = F))
(z1 = getOverlap(cmp1))
# plot(cmp1)

# compute the top-weighted overlap score between CCS and GSEA
(cmp2 <- compareLists(CCS.pid.ordered,GSEA.pid.ordered,two.sided = F))
(z2 = getOverlap(cmp2))
# plot(cmp2)

# compute the top-weighted overlap score between CCS and DEG+Enrichment
(cmp3 <- compareLists(CCS.pid.ordered,deg.pid.ordered,two.sided = F))
(z3 = getOverlap(cmp3))
# plot(cmp3)

# compute the top-weighted overlap score between WLS and GSEA
(cmp4 <- compareLists(WLS.pid.ordered,GSEA.pid.ordered,two.sided = F))
(z4 = getOverlap(cmp4))
# plot(cmp4)

# compute the top-weighted overlap score between WLS and DEG+Enrichment
(cmp5 <- compareLists(WLS.pid.ordered,deg.pid.ordered,two.sided = F))
(z5 = getOverlap(cmp5))
# plot(cmp5)

# compute the top-weighted overlap score between GSEA and DEG+Enrichment
(cmp6 <- compareLists(GSEA.pid.ordered,deg.pid.ordered,two.sided = F))
(z6 = getOverlap(cmp6))
#plot(cmp6)



